Skontaktuj się z nami
Przegląd produktów

Loftware Connector for Oracle

Don't miss the opportunity to upgrade your Loftware Print server (LPS) solution!

Loftware has announced its plan to retire the Loftware Print Server (LPS) family of solutions with a formal end of support occurring on December 31, 2024. Now is the perfect time to move from LPS to the Cloud!

Dowiedz się więcej

Oracle Compatibility Matrix

Connector
Version
LPS Premier
Version
WIN XP Pro WIN 7 Pro WIN 8 WIN 2000 Server Windows Server
2003‡
WIN 2008 Server WIN 2008 Server R2 Windows Server 2012 R2**† Windows Server 2016¹ Windows Server 2019 Linux Unix Oracle Java
4.3.1 11.0 or higher Nie Nie Nie Nie Nie Nie Nie Tak Tak Tak Tak Tak 19C 1.7 or higher
4.2.3 11.0 or higher Nie Nie Nie Nie Nie Nie Nie Tak Tak Nie Tak Tak 19C 1.7 or higher
4.2.1 10.2 or later Nie Nie Nie Nie Nie Nie Tak Tak Tak Nie Tak Tak 11g 1.7 or higher
4.2 11.0 Nie Nie Nie Nie Nie Nie Tak Tak Tak Nie Tak Tak 11g 1.7 or higher
4.1 10.0.1 or later Yes* Tak Tak Nie Tak Tak Tak Tak Nie Nie Tak Tak 11g 1.6
4.0.3 10.0.1 or later Yes* Tak Tak Nie Tak Tak Tak No+ Nie Nie Tak Tak 10g-11g 1.6
4.0.2 10.0.1 or later Yes* Tak Nie Nie Tak Tak Tak Nie Nie Nie Tak Tak 10g-11g 1.6
4.0.1 10.0 Yes* Tak Nie Nie Tak Tak Tak Nie Nie Nie Tak Tak 10g-11g 1.6
4.0 10.0 Yes* Tak Nie Nie Tak Tak Tak Nie Nie Nie Tak Tak 10g-11g 1.6
3.0 8.4-10.0 Yes* Nie Nie Nie Yes* Nie Nie Nie Nie Nie Tak Tak 8.1.7x to 11g 1.4
2.6** 8.4-9.8 Yes* Nie Nie Nie Yes* Nie Nie Nie Nie Nie Tak Tak 8.1-10 1.4
2.5** 7.2-8.3 Yes* Nie Nie Nie Yes* Nie Nie Nie Nie Nie Tak Tak 8.1-10 1.4
2.1** 7.2-8.4 Yes* Nie Nie Nie Yes* Nie Nie Nie Nie Nie Nie Tak 8.1-9 1.3
1.0** 7.1 Yes* Nie Nie Nie Nie Nie Nie Nie Nie Nie Nie Nie    

* 32-bit only and ** 64-bit only.
+ Windows Server 2012 only.
† Windows Server 2012 R2 support is for non-clustered environments and is inclusive of Windows Server 2012.
‡ Windows Server 2003 support is ending July 14, 2015
¹ Windows Server 2016 support is for non-clustered environments

Note: The Loftware Connector for Oracle connects directly into the Oracle database, so application compatibility is driven by the underlying database being used. For example, if your E-Business application is running on top of Oracle 11g, LCfOr v4.0 or later is required.

The Loftware Connector Console requires either Microsoft Internet Explorer Version 10.0 or later with JavaScript enabled or Mozilla Firefox Version 18.0 or later with JavaScript enabled.

See Connector Compatibility Matrix on the Print Server Specifications page for LPS compatibility.

Release Notes

Connector for Oracle 4.2.1

Release Notes: August 2018

What are the new features of this release?
  • Added support for non-clustered Windows Server 2016.
  • Added the ability for the Connector Console to automatically update when printer lists are modified on any configured Loftware Print Servers.
  • Added the ability to treat non-group values for the _FORMAT attribute as labels.
  • Added the ability to test with large XML files.
  • Added the ability to register a listener without a filter.
  • Added additional feedback when errors are encountered while running “Discover All LPS Servers”.
  • JRE 1.8 is now packaged with Loftware Connector products, which results in providing separate installation packages for 32- and 64-bit Operating Systems.
What fixes are available in this release?
  • Corrected issues with Repair functionality incorrectly reporting on status of XDK java classes and failing to install the Console service.
  • Corrected a defect that prevented labels with fixed text fields only from printing via the Connector.
  • Corrected issues running service.bat if both JAVA_HOME and JRE_HOME are set.
  • Method type of “literal” is now disallowed when configuring a Default Data Lookup filter.
  • Corrected an error with Format Substitution not working after a Default Data Lookup in a filter chain.
  • We no longer automatically remove an existing INV_SYNC_PRINT_REQUEST during install.
  • Corrected issues with a failed import rendering the Connector useless.
  • Corrected a loadjava call by surrounding the JDBC_URL with double quotes.
  • Corrected a loadjava failure that occurred if a Service Name rather than a SID was specified for the JDBC_URL during installation.